<?php
include_once(getabspath("include/usuario_settings.php"));

function DisplayMasterTableInfo_usuario($params)
{
	$detailtable = $params["detailtable"];
	$keys = $params["keys"];
	$detailPageObj = $params["detailPageObj"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	$oldTableName = $strTableName;
	$strTableName = "usuario";
	
	$settings = new ProjectSettings($strTableName, PAGE_LIST);
	$cipherer = new RunnerCipherer($strTableName);
	
	$masterQuery = $settings->getSQLQuery();
	
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST);

$where = "";
$mKeys = array();
$showKeys = "";

global $page_styles, $page_layouts, $page_layout_names, $container_styles;

$layout = new TLayout("masterlist","BoldAqua","MobileAqua");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterlistheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterlistfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["usuario_masterlist"] = $layout;


if($detailtable == "movimiento_caja")
{
		$where.= GetFullFieldName("idusuario", "", false)."=".$cipherer->MakeDBValue("idusuario",$keys[1-1], "", "", true);
	$showKeys .= " "."Idusuario".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
}
	if(!$where)
	{
		$strTableName = $oldTableName;
		return;
	}
	$str = SecuritySQL("Search");
	if(strlen($str))
		$where.= " and ".$str;

	$strWhere = whereAdd($masterQuery->WhereToSql(),$where);
	if(strlen($strWhere))
		$strWhere = " where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL = AddWhere($strSQL,$where);
	LogInfo($strSQL);
	$rs = db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName = $oldTableName;
		return;
	}
	$keylink = "";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["idusuario"]));
	

//	idusuario - 
			$value="";

					$xt->assign("idusuario_mastervalue", $viewControls->showDBValue("idusuario", $data, $keylink));

//	nick - 
			$value="";

					$xt->assign("nick_mastervalue", $viewControls->showDBValue("nick", $data, $keylink));

//	nombres - 
			$value="";

					$xt->assign("nombres_mastervalue", $viewControls->showDBValue("nombres", $data, $keylink));

//	contrasena - 
			$value="";

					$xt->assign("contrasena_mastervalue", $viewControls->showDBValue("contrasena", $data, $keylink));

//	activo - 
			$value="";

					$xt->assign("activo_mastervalue", $viewControls->showDBValue("activo", $data, $keylink));

	$viewControls->addControlsJSAndCSS();
	$detailPageObj->viewControlsMap['mViewControlsMap'] = $viewControls->viewControlsMap;

	$layout = GetPageLayout("usuario", 'masterlist');
	if($layout)
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->display("usuario_masterlist.htm");
	
	$strTableName=$oldTableName;
}

?>